Name:		cpupowerutils
Version:	1.1
Release:	1%{?dist}
Summary:	CPU power management utilities	
Group:		System Environment/Base
License:	GPLv2
URL:		http://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tools/power
Source0:	cpupowerutils-g650a37f.tar.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pciutils-devel
ExclusiveArch:	%{ix86} x86_64 ppc ppc64
Conflicts:	cpufrequtils
%description
cpupowerutils is a suite of tools designed to manage power states on
appropriately enabled cpus

%package devel
Summary:        Header files for development of cpu power utilities
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Conflicts:	cpufrequtils-devel

%description devel
Header files and libraries to enable development of cpupower utities

%prep
%setup -q -n power 

%build
make -C cpupower
%ifarch %{ix86} x86_64
make -C x86/turbostat/
make -C x86/x86_energy_perf_policy
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT mandir=/usr/share/man libdir=%{_libdir} -C cpupower install
%ifarch %{ix86} x86_64
install -D -m 0755 x86/turbostat/turbostat $RPM_BUILD_ROOT/usr/bin/turbostat
install -D -m 0755 x86/x86_energy_perf_policy/x86_energy_perf_policy $RPM_BUILD_ROOT/usr/bin/x86_energy_perf_policy
%endif
rm -rf $RPM_BUILD_ROOT/usr/share/locale

%clean
rm -rf %{buildroot}

%files 
%config /etc/cpufreq-bench.conf
%doc /usr/share/doc/packages/cpupower
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libcpupower.so.0
%{_libdir}/libcpupower.so.0.0.0

%files devel
%{_includedir}/*
%{_libdir}/libcpupower.so

%changelog
* Thu Nov 08 2012 Neil Horman <nhorman@redhat.com> 1.1-1
- Version bump to fix stupid release typo (bz 697418)

* Thu Nov 08 2012 Neil Horman <nhorman@redhat.com> 1-5
- Fixed a minor typo (bz 697418)

* Thu Nov 08 2012 Neil Horman <nhorman@redhat.com> 1-4
- update spec to use Conflicts rather than Obsoletes (bz 697418)

* Tue Oct 09 2012 Neil Horman <nhorman@redhat.com> 1-3
- Update spec to fix some other typos/etc (bz 697418)

* Tue Oct 09 2012 Neil Horman <nhorman@redhat.com> 1-2
- Updated obsoletes fields in spec file (bz 697418)

* Mon Jun 25 2012 Neil Horman <nhorman@tuxdriver.com> 1-1 
- Initial build
